%define 	name 		sword
%define 	version 	1.5.7a
%define		rel		%mkrel 2
%define		lib_name_orig 	libsword
%define		lib_major 	4
%define		lib_name 	%mklibname %name %lib_major

Summary:	The SWORD Project framework for manipulating Bible texts
Summary(cs): 	Programy pro studium Bible a vvojov nstroje
Summary(sk): 	Programy pre tdium Biblie a vvojov nstroje
Name:		%{name}
Version:	%{version}
Release:	%{rel}
License:	GPL
URL:		http://www.crosswire.org/sword/software/
Source: 	http://www.crosswire.org/ftpmirror/pub/sword/source/v1.5/%{name}-%{version}.tar.bz2
Source1: 	ftp://ftp.zedz.net/pub/crypto/crypto/LIBS/sapphire/sapphire.zip 
Source2:	sword_icons.tar.bz2
Patch0:		sword-patch-curl.diff.bz2
Group: 		System/Libraries
BuildRequires:	zlib-devel
BuildRequires:	curl-devel >= 7.10.5
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	%{lib_name} = %{version}
Requires:	curl >= 7.10.5


%description
The SWORD Project is an effort to create an ever expanding software package 
for research and study of God and His Word.  The SWORD Framework 
allows easy manipulation of Bible texts, commentaries, lexicons, dictionaries, 
etc.  Many frontends are build using this framework.  An installed module 
set may be shared between any frontend using the framework.

%description -l cs
Snahou projektu SWORD je vytvoit voln (ve smyslu licence OpenSource)
programy, vvojov nstroje a pomcky ke studiu Bible.
Mohou bt instalovny dal, voliteln pdavn moduly: rzn peklady Bible,
komente, vklady a slovnky.

%description -l sk
Cieom projektu SWORD je vytvori von (vo zmysle licencie OpenSource)
programy, vvojov nstroje a pomcky pre tdium Biblie.. Mu sa tie
naintalova alie voliten a prdavn moduly: rzne preklady Biblie,
Biblick komentre, lexikny a slovnky.


#main package (contains *.so.[major].* only)
%package -n %{lib_name}
Summary: 	Main library for sword #(!) summary for main lib RPM only
Group: 		System/Libraries

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with sword.

%package 	-n %{lib_name}-devel
Summary: 	Include files for developing sword applications
Group: 		System/Libraries
Requires: 	%{lib_name} = %{version}
Provides: 	%{lib_name_orig}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release} 

%description -n %{lib_name}-devel
This package contains the headers that programmers 
will need to develop applications which will use the SWORD Bible Framework.

%package -n %{lib_name}-static-devel
Summary: 	Static libs for developing sword applications
Group: 		System/Libraries
Requires: 	%{lib_name} = %{version} %{lib_name}-devel = %{version}
Provides: 	%{lib_name_orig}-static-devel = %{version}-%{release} %{name}-static-devel = %{version}-%{release} 

%description -n %{lib_name}-static-devel
This package contains the static libraries that programmers 
will need to develop applications which will use the SWORD Bible Framework.

%prep
%setup -q -a2
%patch0 -p1

unzip -d sapphire %{SOURCE1}
cp sapphire/SAPPHIRE.H include/sapphire.h
cp sapphire/SAPPHIRE.CPP src/modules/common/sapphire.cpp

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -O0"
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
export LDFLAGS='-s'
CPPFLAGS="$CFLAGS $CPPFLAGS -DUSBINARY"
export CPPFLAGS

%configure --disable-dependency-tracking --enable-utilities --with-curl --disable-debug --enable-shared --with-conf


%make 

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR="$RPM_BUILD_ROOT"
#make install_config DESTDIR="$RPM_BUILD_ROOT"

pushd utilities
install -m755 mkfastmod mod2vpl vpl2mod $RPM_BUILD_ROOT/%{_bindir}
popd

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/sword.conf
%{_bindir}/*
%{_datadir}/%{name}
%doc README AUTHORS NEWS INSTALL LICENSE ChangeLog 
%doc samples doc/*.*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%attr(0755,root,root) %dir %{_includedir}/sword
%{_includedir}/sword/*.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
#removed from main. May add it back later.
#%doc doc/api-documentation

%files -n %{lib_name}-static-devel
%defattr(-,root,root)
%{_libdir}/*.a

%changelog
* Tue Jul 05 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.7a-2mdk
- make it build on x86_64 (use %%configure)
- cleanups
- use %%mkrel (since it can do everything the excess macros were doing)
- rpmbuildupdate-able

* Wed Aug 25 2004 Buchan Milne<bgmilne@linux-mandrake.com> 1.5.7a-1mdk
- bump lib major
- changes from Lonnie Borntreger <cooker@borntreger.com>
  - rework patch0 for new source snapshot
  - remove patch1, merged upstream

* Tue Jul 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5.7-4mdk
- lowerize optimization level thus preventing some segfaults in libsword3

* Tue Jul 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5.7-3mdk
- rebuild

* Fri Jul 16 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.7-3mdk
- rebuild for curl, fix requires/buildrequires

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.5.7-2mdk
- Rebuild

* Mon Dec 28 2003 Brook Humphrey <bah@linux-mandrake.com> 1.5.7-1mdk
- hopefully fixed build problems due to optimizations and mandrake 9.2 

* Thu Nov 13 2003 Brook Humphrey <bah@linux-mandrake.com> 1.5.6-1mdk
- New build for sword 1.5.6
- diatheke installs cleanly so it is not needed to force a name change now.
- api docs removed from devel package because they are no longer distributed with the main package.
- may add api docs back later.
- fixed recursive requires for sword and libsword.
- fixed build to use optflags.
- fixed permission problems with include directory. 

* Fri Apr 25 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.5-5mdk
- Buildrequire zlib-devel (thx slbd)

* Thu Apr 24 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.5-4mdk
- Don't provide name in libname package
- Bump release a bit more

* Thu Mar 13 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.5-2mdk
- cleanups
- ->contrib

* Fri Dec 13 2002 Brook Humphrey <bah@webmedic.net> sword-1.5.5-1mdk9.0_kde3.1
- Compiled for mandrake 9.0 using texstars 3.1rc5 rpm's they also have aafonts enabled.

* Wed Oct 9 2002 Brook Humphrey <bah@webmedic.net> sword-1.5.4-1mdk9.0
- Compiled for mandrake 9.0. 
- This is current cvs as it wouldn't compile with gcc 3.2 before this.
- Fixed files as some of the files changed from 1.5.3. 
- Most notably man is gone now for the api.

* Tue Feb 19 2002 Brook Humphrey <bah@webmedic.net> sword-1.5.3.pre-1mdk
- Compiled on mandrake 8.2 
- first rpm of sword 1.5.3 pre
- removed chetah from build as it doesn't build proper
- added configure to sword build for proper build

* Sun Jan 27 2002 Brook Humphrey <bah@webmedic.net> sword-1.5.2-6mdk
- Added libsword1-static-devel package

* Tue Jul 10 2001 Brook Humphrey <bah@webmedic.net> sword-1.5.2-5mdk
- Updates to newest sources with bug fixes

* Fri Jun 22 2001 Brook Humphrey <bah@webmedic.net> sword-base-1.5.2-1mdk
- Added lib packages to be compliant with mandrake specs

* Mon Apr 30 2001 Brook Humphrey <bah@webmedic.net>
- added more mandrake macros for build
- removed apps for build cvs.20010430. They would not build

* Sun Apr 22 2001 Brook Humphrey <bah@webmedic.net>
- added man pages for api to package
- added html api doc to package

* Wed Mar 14 2001 Brook Humphrey <bah@webmedic.net>
- updated to use mandrake menu sysem

* Mon Feb 19 2001 Brook Humphrey <bah@webmedic.net>
- merged spec files from myself and Petr Kri'tof with this one
- added Petr Kri'tof's and my own comments to this changelog

* Sat Jan 20 2001 Stuart Gathman <stuart@bmsi.com>
- mkfastmod and other utilities

* Thu Nov 30 2000 Stuart Gathman <stuart@bmsi.com>
- cheatah application

* Mon Nov 20 2000 Brook Humphrey <bah@webmedic.net>
- added crypto to sword package
- updated to sword 1.5.1a

* Fri Nov 17 2000 Stuart Gathman <stuart@bmsi.com>
- initial release

* Fri Mar 17 2000 Petr Kritof <Petr@Kristof.CZ>
- Sword 1.5.0 tree adaption

* Wed Mar 1 2000 Petr Kritof <Petr@Kristof.CZ>
- Slovak descriptions added (Viera Valkova <ValkovaV@logica.com>)

* Tue Jan 4 2000 Brook Humphrey <bah@webmedic.net>
- Changed icon to sword.xpm

* Sun Jun 20 1999 Petr Kritof <Petr@Kristof.CZ>
- Compliant with mods.d
